import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import { useCallback, useRef, useState } from 'react';
export default (function (defaultValue) {
  var _useState = useState(defaultValue),
      _useState2 = _slicedToArray(_useState, 2),
      setValue = _useState2[1];

  var valueRef = useRef(defaultValue);
  var realSetValue = useCallback(function (valueOrFunc) {
    if (typeof valueOrFunc === 'function') {
      valueRef.current = valueOrFunc(valueRef.current);
    } else {
      valueRef.current = valueOrFunc;
    }

    setValue(valueOrFunc);
  }, []);
  return [valueRef, realSetValue];
});