import { useEffect, useRef } from 'react';
export default (function (effect, deps) {
  var isMounted = useRef(false);
  useEffect(function () {
    if (!isMounted.current) {
      isMounted.current = true;
    } else {
      return effect();
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, deps);
});