import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import cn from 'classnames';
import { defaultPrefixCls } from '../../_config/dict';
import Icon from '@ant-design/icons';

var SVGIcon = function SVGIcon() {
  return /*#__PURE__*/React.createElement("svg", {
    viewBox: "0 0 44 22",
    width: "1.4em",
    height: "0.7em",
    style: {
      padding: '0.15em 0'
    },
    fill: "currentColor",
    stroke: "currentColor",
    "aria-hidden": "true"
  }, /*#__PURE__*/React.createElement("g", null, /*#__PURE__*/React.createElement("path", {
    d: "m2.4325,21.52499a27.545,27.545 0 0 1 6.954,-19.8a29.681,29.681 0 0 1 4.582,6.967a26.185,26.185 0 0 1 8.031,-1.132a26.186,26.186 0 0 1 8.032,1.132a29.66,29.66 0 0 1 4.582,-6.967a27.545,27.545 0 0 1 6.954,19.8",
    fill: "none",
    strokeMiterlimit: "10",
    strokeWidth: "2"
  })));
};

export default (function (_ref) {
  var className = _ref.className,
      restprops = _objectWithoutProperties(_ref, ["className"]);

  return /*#__PURE__*/React.createElement(Icon, _extends({
    className: cn("".concat(defaultPrefixCls, "-icon-feimao"), className),
    component: SVGIcon
  }, restprops));
});