import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import { defaultPrefixCls } from '../_config/dict';
import React from 'react';
import Avatar from './avatar';
import Title from './title';
import Paragraph from './paragraph';
export default (function (props) {
  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? defaultPrefixCls : _props$prefixCls,
      active = props.active,
      avatar = props.avatar,
      _props$paragraph = props.paragraph,
      paragraph = _props$paragraph === void 0 ? true : _props$paragraph,
      title = props.title,
      avatarConfig = props.avatarConfig,
      paragraphConfig = props.paragraphConfig,
      titleConfig = props.titleConfig,
      restProps = _objectWithoutProperties(props, ["prefixCls", "active", "avatar", "paragraph", "title", "avatarConfig", "paragraphConfig", "titleConfig"]);

  return /*#__PURE__*/React.createElement("div", _extends({
    className: "".concat(prefixCls, "-skeleton-article")
  }, restProps), avatar && /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-skeleton-l")
  }, /*#__PURE__*/React.createElement(Avatar, _extends({}, avatarConfig, {
    active: active,
    prefixCls: prefixCls
  }))), (title || paragraph) && /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-skeleton-r")
  }, title && /*#__PURE__*/React.createElement(Title, _extends({}, titleConfig, {
    active: active,
    prefixCls: prefixCls
  })), paragraph && /*#__PURE__*/React.createElement(Paragraph, _extends({}, paragraphConfig, {
    active: active,
    prefixCls: prefixCls
  }))));
});