"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dict = require("../../_config/dict");

var _icons = _interopRequireDefault(require("@ant-design/icons"));

var SVGIcon = function SVGIcon() {
  return /*#__PURE__*/_react["default"].createElement("svg", {
    viewBox: "0 0 44 22",
    width: "1.4em",
    height: "0.7em",
    style: {
      padding: '0.15em 0'
    },
    fill: "currentColor",
    stroke: "currentColor",
    "aria-hidden": "true"
  }, /*#__PURE__*/_react["default"].createElement("g", null, /*#__PURE__*/_react["default"].createElement("path", {
    d: "m2.4325,21.52499a27.545,27.545 0 0 1 6.954,-19.8a29.681,29.681 0 0 1 4.582,6.967a26.185,26.185 0 0 1 8.031,-1.132a26.186,26.186 0 0 1 8.032,1.132a29.66,29.66 0 0 1 4.582,-6.967a27.545,27.545 0 0 1 6.954,19.8",
    fill: "none",
    strokeMiterlimit: "10",
    strokeWidth: "2"
  })));
};

var _default = function _default(_ref) {
  var className = _ref.className,
      restprops = (0, _objectWithoutProperties2["default"])(_ref, ["className"]);
  return /*#__PURE__*/_react["default"].createElement(_icons["default"], (0, _extends2["default"])({
    className: (0, _classnames["default"])("".concat(_dict.defaultPrefixCls, "-icon-feimao"), className),
    component: SVGIcon
  }, restprops));
};

exports["default"] = _default;