"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dict = require("../../_config/dict");

var _icons = _interopRequireDefault(require("@ant-design/icons"));

var SVGIcon = function SVGIcon() {
  return /*#__PURE__*/_react["default"].createElement("svg", {
    width: "1em",
    height: "1em",
    fill: "currentColor",
    viewBox: "0 0 1024 1024",
    "aria-hidden": "true"
  }, /*#__PURE__*/_react["default"].createElement("g", null, /*#__PURE__*/_react["default"].createElement("path", {
    d: "M302.90432 68.44928l462.42816 462.42816v-36.1984a19847503.36 19847503.36 0 0 0-464.29184 464.29184c-23.36256 23.36256 12.83584 59.5712 36.20352 36.1984 154.76224-154.76224 309.5296-309.52448 464.28672-464.29184 9.86624-9.86112 9.86624-26.3424 0-36.1984L339.10784 32.24064c-23.36768-23.36256-59.56608 12.84096-36.20352 36.20864z"
  })));
};

var _default = function _default(_ref) {
  var className = _ref.className,
      restprops = (0, _objectWithoutProperties2["default"])(_ref, ["className"]);
  return /*#__PURE__*/_react["default"].createElement(_icons["default"], (0, _extends2["default"])({
    className: (0, _classnames["default"])("".concat(_dict.defaultPrefixCls, "-icon-right90"), className),
    component: SVGIcon
  }, restprops));
};

exports["default"] = _default;