"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _LoadingOutlined = _interopRequireDefault(require("@ant-design/icons/LoadingOutlined"));

var _dict = require("../_config/dict");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

;

var _default = function _default(props) {
  var _cn;

  var className = props.className,
      children = props.children,
      disabled = props.disabled,
      icon = props.icon,
      _props$type = props.type,
      type = _props$type === void 0 ? "default" : _props$type,
      loading = props.loading,
      _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? _dict.defaultPrefixCls : _props$prefixCls,
      shape = props.shape,
      onClick = props.onClick,
      _props$rootDom = props.rootDom,
      rootDom = _props$rootDom === void 0 ? 'a' : _props$rootDom,
      restProps = (0, _objectWithoutProperties2["default"])(props, ["className", "children", "disabled", "icon", "type", "loading", "prefixCls", "shape", "onClick", "rootDom"]);
  var iconDom = loading ? /*#__PURE__*/_react["default"].createElement(_LoadingOutlined["default"], null) : icon;
  return /*#__PURE__*/_react["default"].createElement(rootDom, _objectSpread(_objectSpread(_objectSpread({}, rootDom === 'a' ? {
    role: 'button'
  } : {}), {}, {
    className: (0, _classnames["default"])("".concat(prefixCls, "-button"), (_cn = {}, (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-primary"), type === 'primary'), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-warning"), type === 'warning'), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-disabled"), disabled), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-loading"), loading), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-text"), type === 'text'), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-link"), type === 'link'), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-circle"), shape === 'circle'), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-button-round"), shape === 'round'), _cn), className)
  }, restProps), {}, {
    onClick: disabled || loading ? undefined : onClick
  }), !!iconDom && /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-icon")
  }, iconDom), children && /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-button-children")
  }, children));
};

exports["default"] = _default;