import React from 'react';
export declare type Key = string | number;
export interface PickerImcascadeData {
    key: Key;
    value: React.ReactNode;
    [key: string]: any;
}
export interface handledImcascadeData extends PickerImcascadeData {
    $$react$$node: React.ReactNode;
}
export interface PickerCascadeData {
    key: Key;
    value: React.ReactNode;
    children?: PickerCascadeData[];
    [key: string]: any;
}
export interface handledCascadeData extends PickerCascadeData {
    $$react$$node: React.ReactNode;
}
export declare type PickerData = PickerImcascadeData[][] | PickerCascadeData[];
export interface PickerViewProps {
    data?: PickerData;
    defaultValue?: Key[];
    defaultShowCount?: number;
    onChange?: (value: Key[]) => void;
    minCols?: number;
    prefixCls?: string;
    [key: string]: any;
}
declare const _default: (props: PickerViewProps) => JSX.Element;
export default _default;
