import BaseToast, { ToastProps } from '../toast/toast';
export type { ToastProps } from './toast';
export declare type ToastType = typeof BaseToast & {
    info: (configOrContent?: ToastProps | string) => void;
    loading: (config?: ToastProps) => void;
    fail: (configOrContent?: ToastProps | string) => void;
    success: (configOrContent?: ToastProps | string) => void;
    hide: () => void;
    delayLoading: (delay?: number, config?: ToastProps) => void;
};
declare const Toast: ToastType;
export default Toast;
