import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import cn from 'classnames';
import { defaultPrefixCls } from '../../_config/dict';
import Icon from '@ant-design/icons';

var SVGIcon = function SVGIcon() {
  return /*#__PURE__*/React.createElement("svg", {
    viewBox: "0 0 72 72",
    width: "1em",
    height: "1em"
  }, /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M36 72c19.882 0 36-16.118 36-36S55.882 0 36 0 0 16.118 0 36s16.118 36 36 36zm0-2c18.778 0 34-15.222 34-34S54.778 2 36 2 2 17.222 2 36s15.222 34 34 34z",
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#FFF",
    strokeWidth: "2",
    d: "M19 34.54l11.545 11.923L52.815 24"
  })));
};

export default (function (_ref) {
  var className = _ref.className,
      restprops = _objectWithoutProperties(_ref, ["className"]);

  return /*#__PURE__*/React.createElement(Icon, _extends({
    className: cn("".concat(defaultPrefixCls, "-icon-check"), className),
    component: SVGIcon
  }, restprops));
});