"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dict = require("../../_config/dict");

var _icons = _interopRequireDefault(require("@ant-design/icons"));

var SVGIcon = function SVGIcon() {
  return /*#__PURE__*/_react["default"].createElement("svg", {
    viewBox: "0 0 29.6875 28.6458",
    width: "1.018em",
    height: "1em",
    fill: "currentColor",
    "aria-hidden": "true"
  }, /*#__PURE__*/_react["default"].createElement("g", null, /*#__PURE__*/_react["default"].createElement("path", {
    d: "m9.83555,2.68936c0.082,0.413 0.164,0.744 0.249,1.072c-2.97,1.4 -4.868,3.052 -5.2,4.95c0.249,1.734 1.98,2.393 4.209,2.557c0.66,-4.54 2.063,-9.241 5.448,-10.149c2.475,-0.413 4.127,1.649 5.2,3.96c-0.413,0.082 -0.744,0.249 -1.154,0.331a1.385,1.385 0 0 0 -1.649,-0.331c-1.652,1.239 -2.311,3.383 -2.557,5.694c3.96,-0.577 9.408,-3.219 9.408,-5.943c0,-1.649 -1.321,-2.147 -2.806,-2.393a10.323,10.323 0 0 0 -0.335,-1.569c4.622,-0.082 8.582,2.229 8.169,5.2c-1.321,6.107 -9.408,8.418 -14.522,9.49c0,4.622 0.826,7.428 2.557,7.841c0.826,0 1.567,-1.154 2.311,-5.2c0.744,-0.164 1.4,-0.413 2.147,-0.577c-0.744,6.271 -3.383,9.985 -5.776,10.149c-2.475,0.164 -4.373,-2.147 -5.53,-5.694a21.251,21.251 0 0 1 -1.072,-6.025c-4.212,-0.408 -7.926,-1.484 -8.091,-4.784c-0.083,-3.38 3.961,-6.93 8.994,-8.579z"
  })));
};

var _default = function _default(_ref) {
  var className = _ref.className,
      restprops = (0, _objectWithoutProperties2["default"])(_ref, ["className"]);
  return /*#__PURE__*/_react["default"].createElement(_icons["default"], (0, _extends2["default"])({
    className: (0, _classnames["default"])("".concat(_dict.defaultPrefixCls, "-icon-ctcc"), className),
    component: SVGIcon
  }, restprops));
};

exports["default"] = _default;