"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _dict = require("../../_config/dict");

var _icons = _interopRequireDefault(require("@ant-design/icons"));

var SVGIcon = function SVGIcon() {
  return /*#__PURE__*/_react["default"].createElement("svg", {
    viewBox: "0 0 72 72",
    width: "1em",
    height: "1em"
  }, /*#__PURE__*/_react["default"].createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/_react["default"].createElement("path", {
    d: "M36 72c19.882 0 36-16.118 36-36S55.882 0 36 0 0 16.118 0 36s16.118 36 36 36zm0-2c18.778 0 34-15.222 34-34S54.778 2 36 2 2 17.222 2 36s15.222 34 34 34z",
    fill: "#FFF"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    stroke: "#FFF",
    strokeWidth: "2",
    d: "M19 34.54l11.545 11.923L52.815 24"
  })));
};

var _default = function _default(_ref) {
  var className = _ref.className,
      restprops = (0, _objectWithoutProperties2["default"])(_ref, ["className"]);
  return /*#__PURE__*/_react["default"].createElement(_icons["default"], (0, _extends2["default"])({
    className: (0, _classnames["default"])("".concat(_dict.defaultPrefixCls, "-icon-check"), className),
    component: SVGIcon
  }, restprops));
};

exports["default"] = _default;