"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _dict = require("../_config/dict");

var _react = _interopRequireDefault(require("react"));

var _avatar = _interopRequireDefault(require("./avatar"));

var _title = _interopRequireDefault(require("./title"));

var _paragraph = _interopRequireDefault(require("./paragraph"));

var _default = function _default(props) {
  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? _dict.defaultPrefixCls : _props$prefixCls,
      active = props.active,
      avatar = props.avatar,
      _props$paragraph = props.paragraph,
      paragraph = _props$paragraph === void 0 ? true : _props$paragraph,
      title = props.title,
      avatarConfig = props.avatarConfig,
      paragraphConfig = props.paragraphConfig,
      titleConfig = props.titleConfig,
      restProps = (0, _objectWithoutProperties2["default"])(props, ["prefixCls", "active", "avatar", "paragraph", "title", "avatarConfig", "paragraphConfig", "titleConfig"]);
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({
    className: "".concat(prefixCls, "-skeleton-article")
  }, restProps), avatar && /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-skeleton-l")
  }, /*#__PURE__*/_react["default"].createElement(_avatar["default"], (0, _extends2["default"])({}, avatarConfig, {
    active: active,
    prefixCls: prefixCls
  }))), (title || paragraph) && /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-skeleton-r")
  }, title && /*#__PURE__*/_react["default"].createElement(_title["default"], (0, _extends2["default"])({}, titleConfig, {
    active: active,
    prefixCls: prefixCls
  })), paragraph && /*#__PURE__*/_react["default"].createElement(_paragraph["default"], (0, _extends2["default"])({}, paragraphConfig, {
    active: active,
    prefixCls: prefixCls
  }))));
};

exports["default"] = _default;