"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergeClassNames = mergeClassNames;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _dict = require("../_config/dict");

var _classnames = _interopRequireDefault(require("classnames"));

;

function mergeClassNames(className, props) {
  var _cn;

  var prefixCls = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : _dict.defaultPrefixCls;
  var _props$shape = props.shape,
      shape = _props$shape === void 0 ? '' : _props$shape;
  return (0, _classnames["default"])("".concat(prefixCls, "-skeleton"), (_cn = {}, (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-skeleton-active"), props.active), (0, _defineProperty2["default"])(_cn, "".concat(prefixCls, "-skeleton-").concat(shape), shape), _cn), className);
}