"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _base = require("./base");

var _PictureOutlined = _interopRequireDefault(require("@ant-design/icons/PictureOutlined"));

var _dict = require("../_config/dict");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

;

var _default = function _default(props) {
  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? _dict.defaultPrefixCls : _props$prefixCls,
      className = props.className,
      style = props.style,
      width = props.width,
      height = props.height,
      _props$shape = props.shape,
      shape = _props$shape === void 0 ? 'default' : _props$shape,
      _props$icon = props.icon,
      icon = _props$icon === void 0 ? true : _props$icon,
      _props$active = props.active,
      active = _props$active === void 0 ? false : _props$active,
      restProps = (0, _objectWithoutProperties2["default"])(props, ["prefixCls", "className", "style", "width", "height", "shape", "icon", "active"]);
  return /*#__PURE__*/_react["default"].createElement("div", (0, _extends2["default"])({}, restProps, {
    className: (0, _base.mergeClassNames)((0, _classnames["default"])("".concat(prefixCls, "-skeleton-image"), className), {
      active: active,
      shape: shape
    }, prefixCls),
    style: _objectSpread({
      width: width || undefined,
      height: height || undefined,
      fontSize: width || undefined
    }, style || {})
  }), !!icon && /*#__PURE__*/_react["default"].createElement(_PictureOutlined["default"], null));
};

exports["default"] = _default;