"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _base = require("./base");

var _dict = require("../_config/dict");

;

var _default = function _default(props) {
  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? _dict.defaultPrefixCls : _props$prefixCls,
      className = props.className,
      _props$width = props.width,
      width = _props$width === void 0 ? '61%' : _props$width,
      height = props.height,
      _props$rows = props.rows,
      rows = _props$rows === void 0 ? 3 : _props$rows,
      _props$active = props.active,
      active = _props$active === void 0 ? false : _props$active,
      restProps = (0, _objectWithoutProperties2["default"])(props, ["prefixCls", "className", "width", "height", "rows", "active"]);

  var renderRows = function renderRows() {
    var liList = [];

    for (var i = 0; i < rows; i++) {
      var isLastOne = i + 1 === rows;
      liList.push( /*#__PURE__*/_react["default"].createElement("li", {
        className: (0, _base.mergeClassNames)("".concat(prefixCls, "-skeleton-p"), {
          active: active
        }, prefixCls),
        style: {
          width: Array.isArray(width) ? width[i] : isLastOne ? width : undefined,
          height: height || undefined
        },
        key: i
      }));
    }

    return liList;
  };

  return /*#__PURE__*/_react["default"].createElement("ul", (0, _extends2["default"])({
    className: (0, _classnames["default"])("".concat(prefixCls, "-skeleton-paragraph"), className)
  }, restProps), renderRows());
};

exports["default"] = _default;