import React from 'react';
export declare type ButtonType = 'default' | 'primary' | 'link' | 'text' | 'warning';
export declare type ShapeType = 'round' | 'circle';
export interface ButtonProps {
    className?: string;
    children?: React.ReactNode;
    disabled?: boolean;
    icon?: React.ReactNode;
    type?: ButtonType;
    loading?: boolean;
    prefixCls?: string;
    shape?: ShapeType;
    onClick?: React.MouseEventHandler<HTMLElement>;
    rootDom?: keyof React.ReactHTML;
    [key: string]: any;
}
declare const _default: (props: ButtonProps) => React.DetailedReactHTMLElement<{
    onClick: React.MouseEventHandler<HTMLElement> | undefined;
    className: string;
    role?: string | undefined;
}, HTMLElement>;
export default _default;
