import React from 'react';
export interface InputProps {
    defaultValue?: string;
    onChange?: (value: string) => void;
    maxLength?: number;
    prefixCls?: string;
    placeholder?: string;
    className?: string;
    clear?: boolean;
    type?: string;
    addonAfter?: React.ReactNode;
    addonBefore?: React.ReactNode;
    disabled?: boolean;
    onHandleSelectionPos?: (currentValue: string, startPos: number | null, endPos: number | null) => {
        start?: number | null;
        end?: number | null;
    };
    [key: string]: any;
}
export interface InputRef {
    handlePosition(): void;
    focus(): void;
    blur(): void;
    select(): void;
}
declare const _default: React.FC<InputProps>;
export default _default;
