import React from 'react';
export interface RenderProps {
    [key: string]: any;
}
export declare type UpdateRenderFn = (props?: RenderProps) => void;
export declare type DestroyRenderFn = () => void;
export declare type contentRenderFn = (props: RenderProps, updateCmpFn: UpdateRenderFn, destroyCmpFn: DestroyRenderFn) => React.ReactElement;
export declare type RenderFn = (props?: RenderProps) => void;
export declare type RenderFuncUtils = {
    render: RenderFn;
    update: UpdateRenderFn;
    destroy: DestroyRenderFn;
};
declare function renderComponentNode(renderFn: contentRenderFn): RenderFuncUtils;
export default renderComponentNode;
